## hasl 0.1.0

=== meson_options.txt ===
option(
  'doc',
  type : 'boolean', value : true, yield : true,
  description : 'build documentation with gi-docgen'
)

option(
  'introspection',
  type : 'boolean', value : true, yield : true,
  description : 'Whether or not to build a GObject Introspection type library'
)

option(
    'nls',
    type : 'boolean', value : true, yield : true,
    description : 'Install translation files'
)

=== debian/changelog ===
hasl (0.1.0-1) experimental; urgency=low

  * Initial release (Closes: 1039879)

 -- Gary Kramlich <grim@reaperworld.com>  Mon, 17 Jul 2023 21:09:33 -0500

=== debian/control ===
Source: hasl
Section: libs
Priority: optional
Maintainer: Gary Kramlich <grim@reaperworld.com>
Uploaders: Richard Laager <rlaager@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gir,
               gi-docgen,
               gobject-introspection,
               libgirepository1.0-dev,
               libglib2.0-dev,
               meson (>=0.58.0),
Rules-Requires-Root: no
Homepage: https://keep.imfreedom.org/hasl/hasl
Vcs-Git: https://salsa.debian.org/debian/hasl.git
Vcs-Browser: https://salsa.debian.org/debian/hasl
Standards-Version: 4.6.2

Package: libhasl0
Architecture: any
Multi-Arch: same
Depends: libglib2.0-0 (>=2.70.0),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Hassle-free Authentication and Security Layer client library
 Hasl is SASL client library that is designed to be easy to use and integrate
 well with GLib based applications.

Package: libhasl-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: gir1.2-hasl-1.0 (= ${binary:Version}),
         libglib2.0-dev,
         libhasl0 (= ${binary:Version}),
         ${misc:Depends},
Description: Development files for libhasl
 Hasl is SASL client library that is designed to be easy to use and integrate
 well with GLib based applications.
 .
 This package includes the files used for development against libhasl.

Package: gir1.2-hasl-1.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends},
         ${misc:Depends},
Description: typelib for libhasl
 Hasl is SASL client library that is designed to be easy to use and integrate
 well with GLib based applications.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings for libhasl.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,-O1

%:
	dh $@ --with gir

override_dh_auto_configure:
	dh_auto_configure -- -Ddoc=true

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
    https://sf.net/pidgin/hasl-([\d.]+)\.tar\.xz
